Upgrading ELK stack


(anu) #1

Hi All,

I want to upgrade ELK stack. current installed versions are as below.

Logstash - 1.5
elastic search - 2.0
Kibana - 4.2

I want to upgrade kibana 4.2 to 4.5. I learned that Kibana 4.5 requires elasticsearch 2.3. I want all the dashboards in kibana and indices in elasticsearch should be available in upgraded components. Please suggest , how to proceed further.
Any help would be appreciated.

Thanks in Advance!!!


(Khalah Jones Golden) #2

I would suggest exporting your saved objects, just in case, but the upgrade should be pretty straight forward. copy your config, and put the latest in there.

Peace,
Khalah


(system) #3